Summary
Gets all known automations
Description
Gets all known automations returned in alphabetical order
Route
GET /automation_catalog/automations
Roles
admin
other
readonly
apiread
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| queryParameters |
object |
yes |
Options for query parameters |
Copied to Clipboard
{
"type": "object",
"properties": {
"queryParameters": {
"title": "queryParameters",
"type": "object"
}
},
"required": [
"queryParameters"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| result |
array |
List of all automation documents |
Copied to Clipboard
{
"list": [
{
"_id": "21766f44014867b590e5a2a2",
"name": "test",
"data": {
"gbac": {
"write": [
"db05c613ded621a639ba8c01",
"d3397b325239ebff4a07d88b",
"ad562b85102e78dc6d4aca04",
"af5eb5f30c4e1f6266b6b900",
"b0c077747a3f41d6fd394041"
],
"read": [
"63e6c795ce630c001c9ce2e5",
"b31074b41a87ae663c56a516",
"0e8fe7e540f71d4f6b546036"
]
},
"lastUpdated": "2019-11-25T22:51:39.201Z",
"description": "anim exercitation in",
"workflowId": "8e3695fe-c5bf-4286-ae83-186b3fea1c1a",
"formId": "c47f27a940b78db8b3c20e47"
},
"lastModifiedBy": "deserunt Excepteur sit",
"lastRunAt": "2019-11-25T22:51:39.201Z",
"nextRunAt": "2019-11-25T22:51:39.201Z",
"repeatInterval": "2 months",
"migratedToOM": true,
"correspondingOMAutomationId": "a5bd914dd17d5aa8e02c7635"
}
],
"total": 10442326,
"skip": -23957641,
"limit": -40721473
}
Copied to Clipboard
{
"title": "result",
"type": "object",
"properties": {
"list": {
"type": "array",
"items": {
"$ref": "automationDocument"
}
},
"total": {
"type": "integer"
},
"skip": {
"type": "integer"
},
"limit": {
"type": "integer"
}
}
}